First run of WebIOPi - fails with exceptions

91 views
Skip to first unread message

Tim G

unread,
Feb 3, 2020, 10:28:41 PM2/3/20
to WebIOPi
I want to create a simple web interface to run scripts on the Pi remotely from a web browser.

The first one I found and tried is WebIoPi.   I installed it on a Pi 3B running Raspbian Stretch.
It installed easily, and started up on the Pi without errors. However as soon as I opened a browser to the page, the webiopi server on the Pi failed with a string of exceptions.


----------------------------------------
Exception happened during processing of request from ('::ffff:192.168.2.106', 62266, 0, 0)
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv7l.egg/webiopi/protocols/http.py", line 254, in processRequest
    self.serveFile(relativePath)
  File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv7l.egg/webiopi/protocols/http.py", line 203, in serveFile
    self.wfile.write(data)
  File "/usr/lib/python3.5/socket.py", line 594, in write
    return self._sock.send(b)
TypeError: a bytes-like object is required, not 'str'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):   ----------<snip>------------



Are there any guidelines for debugging errors like this?

Tim G

unread,
Feb 8, 2020, 4:41:07 PM2/8/20
to WebIOPi
Crickets... OK so I guess WebIoPi is pretty much dead.  For anyone who is still subscribed to this group--  If you needed a simple web GUI that could run scripts on the Pi what would you use today?
Reply all
Reply to author
Forward
0 new messages